# In order not to have a conflict with the wf_package that is being used
# for both Nanofip and Masterfip projects, include here the exact cores
# that masterfip uses from Nanofip. In this way, we ensure that the masterfip's
# wf_package will be used. Both of the packages, share the same name and some 
# same constants, but with different values. In case of a change in these files 
# in Nanofip, the change will be reflected here. If a new core will be added to
# Nanofip and this core will be used also in Masterfip, then it needs to be added
# in this Manifest.py file.

files = [
    "svec_masterfip_mt_urv.ucf",
    "svec_masterfip_mt_urv.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_crc.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_decr_counter.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_incr_counter.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_rx_deglitcher.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_rx_deserializer.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_rx_osc.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_tx_osc.vhd",
    "../../ip_cores/nanofip-gateware/src/wf_tx_serializer.vhd"
]

fetchto = "../../ip_cores"

modules = {
    "local" : [
        "../../rtl",
        "../../ip_cores/svec",
        "../../ip_cores/vme64x-core",
        "../../ip_cores/general-cores",
        "../../ip_cores/urv-core",
        "../../ip_cores/mockturtle",
        "../../ip_cores/wr-cores",
        "../../ip_cores/ddr3-sp6-core"
    ],
}


